Page MenuHomePhabricator

eolian legacy type generation broken
Closed, InvalidPublic

Description

example:

EAPI Efl_Ui_Win_Type elm_win_type_get(const Efl_Ui_Win *obj);

This should return Elm_Win_Type (legacy type) and take const Evas_Object *obj (or const Eo *) in order to avoid having interfaces api types brought into legacy code

zmike created this task.Mar 1 2019, 10:54 AM
zmike triaged this task as High priority.

Just a comment regarding Tizen 4.0 sources. The elm_win_type_get method is defined in elm_win.eo.legacy.h as:

EAPI Elm_Win_Type elm_win_type_get(const Elm_Win *obj);

So either this this something that Tizen fixes on their side or something that we have broken recently.

q66 added a comment.Mar 4 2019, 3:22 AM

We have no Elm_Win_Type in eo files, nor Eolian provides any facilities to deal with legacy types, so this will need to be fixed manually as manual legacy APIs are pushed into the tree.

zmike added a comment.Mar 4 2019, 6:18 AM

This specific issue is already resolved, but the point was that it is not translating legacy return types using the legacy enum name.

zmike closed this task as Invalid.Mar 5 2019, 4:33 AM